# Add project specific ProGuard rules here.
# You can control the set of applied configuration files using the
# proguardFiles setting in build.gradle.
#
# For more details, see
#   http://developer.android.com/guide/developing/tools/proguard.html

# If your project uses WebView with JS, uncomment the following
# and specify the fully qualified class name to the JavaScript interface
# class:
#-keepclassmembers class fqcn.of.javascript.interface.for.webview {
#   public *;
#}

# Uncomment this to preserve the line number information for
# debugging stack traces.
#-keepattributes SourceFile,LineNumberTable

# If you keep the line number information, uncomment this to
# hide the original source file name.
#-renamesourcefileattribute SourceFile

# 包名不使用大小写混合 aA Aa
-dontusemixedcaseclassnames

#保留行号
-keepattributes SourceFile,LineNumberTable
#保持泛型
-keepattributes Signature

-keepattributes Exceptions

#保留枚举
-keepclassmembers enum * {*;}

# 保护注解
-keepattributes *Annotation*
-keep class * extends java.lang.annotation.Annotation {*;}

# 保留基础组件
-keep public class * extends android.app.Activity
-keepclassmembers class * extends android.app.Activity { public *;  protected *;}

-keep class com.baidu.** {*;}
-keep class mapsdkvi.com.** {*;}
-dontwarn com.baidu.**
-ignorewarnings

#retroift
-dontwarn retrofit2.**
-keep class retrofit2.** { *; }

#okhttp3
-dontwarn okhttp3.**
-keep class okhttp3.** { *; }

#mp3recorder
-dontwarn com.czt.mp3recorder.**
-keep class com.czt.mp3recorder.** { *; }

# gson
-dontwarn com.google.**
-keep class com.google.gson.** {*;}

# qiniu
-keep class com.qiniu.**{*;}
-keep class com.qiniu.**{public <init>();}
-ignorewarnings

-keep class com.ewei.** {*;}
-keepclassmembers class com.ewei.**{*;}
-dontwarn com.ewei.**